lp:ubuntu/trusty/packagekit

Created by Ubuntu Package Importer on 2013-10-21 and last modified on 2017-09-25
Get this branch:
bzr branch lp:ubuntu/trusty/packagekit
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Status:
Development

Recent revisions

86. By Dimitri John Ledkov on 2014-04-02

Link against gstreamer1.0, instead of gstreamer0.10 since almost
everything in default installations is using gstreamer1.0 (ubuntu,
kubuntu, etc).

85. By Rolf Leggewie on 2014-04-01

increase timeout for aptcc. LP: #1001376

84. By Dimitri John Ledkov on 2014-02-24

Change p-b-aptcc backend helper shebang from python2 to python3. (LP:
#1283574)

83. By Dimitri John Ledkov on 2013-12-23

Temporarily disable browser plugin on ppc64el, to help with
bootstrapping this new architecture.

82. By Colin Watson on 2013-10-29

* Resynchronise with Debian. Remaining changes:
  + Client tools alternatively depend on or recommend aptdaemon's
    compatibility layer.
  + packagekit provides the virtual packagekit-system-interface.
  + Add break on packagekit-plugin-click <= 0.3.
  + Fix default url in vendor-ubuntu.diff.
  + Temporarily disable browser plugin on arm64, to help with
    bootstrapping this new architecture.

81. By Colin Watson on 2013-10-13

Temporarily disable browser plugin on arm64, to help with bootstrapping
this new architecture.

80. By Sebastian Heinlein on 2013-08-27

* Merge from Debian unstable. Remaining changes:
  + Client tools alternatively depend on or recommend aptdaemon's
    compatibility layer
  + packagekit provides the virtual packagekit-system-interface
  + Add break on packagekit-plugin-click <= 0.3
  + Fix default url in vendor-ubuntu.diff

79. By Martin Pitt on 2013-04-30

* Merge with Debian experimental. Remaining Ubuntu changes:
  - debian/control: Adjust libpackagekit-glib2-14's Recommends to mark
    python3-aptdaemon.pkcompat as the preferred packagekit-system-interface
    provider in Ubuntu.

78. By Matthias Klumpp on 2012-08-21

* New upstream bugfix release: 0.7.6
  Changes relevant to Debian:
  - aptcc: Don't use tempfile with fixed name for conffiles
     (Matthias Klumpp) (Closes: #678189)
  - Add GStreamer 1.0 support to the PackageKit plugin
     (Richard Hughes)
  - Ignore "accept-eula" in pk-transaction-run (Gary Ching-Pang Lin)
  - Check for CancelBackgroundTransactions setting again
     (Matthias Klumpp)
  - Fix a crash where NetworkManager is restarted whilst packagekitd
     is running (Richard Hughes)
  - Drop the unused polkit-backend-1 check from configure as
     it's gone upstream (Richard Hughes)
  - Fix segfault in pkcon when user does ctrl-d at the package prompt
     (Richard Hughes)
  - Inhibit shutdown when the package manager is locked (Richard Hughes)
  - Fix several return values in pkcon when there is an error
     (Richard Hughes)
  - Allow the user to specify standard GNU help options (Richard Hughes)
  - Do not allow the client to overwrite files when downloading packages
     (Richard Hughes)

77. By Robert Ancell on 2012-07-09

* Merge with Debian, remaining Ubuntu changes:
* debian/control:
  - Recommend packagekit-system-interface instead of
    python-aptdaemon.pkcompat: we care about the dbus interface, now provided
    by the python3 package, not the python module.
  - Have the libraries recommend python-aptdaemon.pkcompat over packagekit as
    we don't want the latter to be installed by default.

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/saucy/packagekit
This branch contains Public information 
Everyone can see this information.

Subscribers